"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
const commandLineArgs = require("command-line-args");
const http = require("http");
const optionDefinitions = [
    { name: 'hostname', alias: 'h', type: String, defaultValue: 'localhost' },
    { name: 'port', alias: 'p', type: Number, defaultValue: 8080 },
    { name: 'path', type: String, defaultValue: '/graphql' },
];
const options = commandLineArgs(optionDefinitions);
const hostname = 'lemmy.bmat.srv';
const req = http.request(Object.assign({}, options, { method: 'POST', headers: {
        'Content-Type': 'application/json',
    } }), (res) => {
    const content = [];
    res.on('data', chunk => {
        content.push(chunk);
    });
    res.on('end', chunk => {
        const schema = graphql_1.buildClientSchema(JSON.parse(content.join('')).data);
        console.log(graphql_1.printSchema(schema));
        process.exit(0);
    });
});
req.end(JSON.stringify({
    query: graphql_1.introspectionQuery
}));
